Subject: Invalid block indentation in Python mode
From: [email-masked] (Fabián Ezequiel Gallina)
To: [email-masked]
Date: Sat, 15 Nov 2014 18:21:22 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed at 89ebffc in the emacs-24 branch.

`python-indent-region` region now follows saner approach, it uses
`python-indent-line` and skips special cases: namely block starts,
enders and dedenters.

The idea is that those mark the base indentation and stuff within them
could be re-indented.

I tested this approach in few large codebases and the results are quite
promising, in fact I found several bad indented stuff thanks to this.

PS: I unmerged this from #18796, it's not really the same thing.

Thanks for the report,
Fabián